=begin
#KORONA.cloud API v3

#Our api provides access to our cloud services

OpenAPI spec version: 3
Contact: support@combase.net
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for KoronaClient::OrganizationalUnitsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'OrganizationalUnitsApi' do
  before do
    # run before each test
    @instance = KoronaClient::OrganizationalUnitsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of OrganizationalUnitsApi' do
    it 'should create an instance of OrganizationalUnitsApi' do
      expect(@instance).to be_instance_of(KoronaClient::OrganizationalUnitsApi)
    end
  end

  # unit tests for add_organizational_unit_day_ratings
  # adds a batch of new day ratings
  # 
  # @param korona_account_id the account id
  # @param organizational_unit_id_or_number id or number of the related object (important: if a number should match the uuid-format, the system will lookup for an id instead of a number)
  # @param body a array of new day ratings
  # @param [Hash] opts the optional parameters
  # @return [Array<AddOrUpdateResult>]
  describe 'add_organizational_unit_day_ratings test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_organizational_unit_day_rating
  # deletes the day rating by its id or date
  # 
  # @param korona_account_id the account id
  # @param organizational_unit_id_or_number id or number of the related object (important: if a number should match the uuid-format, the system will lookup for an id instead of a number)
  # @param day_rating_id_or_date the id or date (YYYY-MM-DD) of the day rating
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'delete_organizational_unit_day_rating test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_organizational_unit
  # lists the organizational unit
  # 
  # @param korona_account_id the account id
  # @param organizational_unit_id_or_number id or number of the related object (important: if a number should match the uuid-format, the system will lookup for an id instead of a number)
  # @param [Hash] opts the optional parameters
  # @return [OrganizationalUnit]
  describe 'get_organizational_unit test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_organizational_unit_day_rating
  # lists the day rating by its id or date
  # 
  # @param korona_account_id the account id
  # @param organizational_unit_id_or_number id or number of the related object (important: if a number should match the uuid-format, the system will lookup for an id instead of a number)
  # @param day_rating_id_or_date the id or date (YYYY-MM-DD) of the day rating
  # @param [Hash] opts the optional parameters
  # @return [DayRating]
  describe 'get_organizational_unit_day_rating test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_organizational_unit_day_ratings
  # lists all organizational unit related day ratings
  # 
  # @param korona_account_id the account id
  # @param organizational_unit_id_or_number id or number of the related object (important: if a number should match the uuid-format, the system will lookup for an id instead of a number)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page number of the page to fetch
  # @option opts [Integer] :size amount of objects to return per page
  # @option opts [String] :sort attribute to sort by (multiple separated by comma; max. 5)
  # @return [ResultListDayRating]
  describe 'get_organizational_unit_day_ratings test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_organizational_unit_inventory_lists
  # lists the inventory lists belonging to the organizational unit (KORONA.retail required)
  # 
  # @param korona_account_id the account id
  # @param organizational_unit_id_or_number id or number of the related object (important: if a number should match the uuid-format, the system will lookup for an id instead of a number)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page number of the page to fetch
  # @option opts [Integer] :size amount of objects to return per page
  # @option opts [String] :sort attribute to sort by (multiple separated by comma; max. 5)
  # @option opts [Integer] :revision last revision number, objects with a greater revision than this will be returned
  # @option opts [BOOLEAN] :include_deleted indicates deleted objects should be loaded or not (default: false)
  # @option opts [DateTime] :min_create_time min (inclusive) create time of the receipt (ISO 8601; date, time and timezone)
  # @option opts [DateTime] :max_create_time max (inclusive) create time of the receipt (ISO 8601; date, time and timezone)
  # @option opts [DateTime] :min_booking_time min (inclusive) booking time of the receipt (ISO 8601; date, time and timezone)
  # @option opts [DateTime] :max_booking_time max (inclusive) booking time of the receipt (ISO 8601; date, time and timezone)
  # @option opts [String] :booking_status booking status (possible values: BOOKED, IN_PROGRESS)
  # @return [ResultListInventoryList]
  describe 'get_organizational_unit_inventory_lists test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_organizational_unit_product_stocks
  # lists the product stocks of the organizational unit, in case it contains a warehouse (KORONA.retail required)
  # 
  # @param korona_account_id the account id
  # @param organizational_unit_id_or_number id or number of the related object (important: if a number should match the uuid-format, the system will lookup for an id instead of a number)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page number of the page to fetch
  # @option opts [Integer] :size amount of objects to return per page
  # @option opts [String] :sort attribute to sort by (multiple separated by comma; max. 5)
  # @option opts [Integer] :revision last revision number, objects with a greater revision than this will be returned
  # @return [ResultListProductStock]
  describe 'get_organizational_unit_product_stocks test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_organizational_unit_stock_receipts
  # lists the stock receipts belonging to the organizational unit (KORONA.retail required)
  # 
  # @param korona_account_id the account id
  # @param organizational_unit_id_or_number id or number of the related object (important: if a number should match the uuid-format, the system will lookup for an id instead of a number)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page number of the page to fetch
  # @option opts [Integer] :size amount of objects to return per page
  # @option opts [String] :sort attribute to sort by (multiple separated by comma; max. 5)
  # @option opts [Integer] :revision last revision number, objects with a greater revision than this will be returned
  # @option opts [BOOLEAN] :include_deleted indicates deleted objects should be loaded or not (default: false)
  # @option opts [DateTime] :min_create_time min (inclusive) create time of the receipt (ISO 8601; date, time and timezone)
  # @option opts [DateTime] :max_create_time max (inclusive) create time of the receipt (ISO 8601; date, time and timezone)
  # @option opts [DateTime] :min_booking_time min (inclusive) booking time of the receipt (ISO 8601; date, time and timezone)
  # @option opts [DateTime] :max_booking_time max (inclusive) booking time of the receipt (ISO 8601; date, time and timezone)
  # @option opts [String] :source_organizational_unit source organizational unit
  # @option opts [String] :booking_status booking status (possible values: BOOKED, IN_PROGRESS)
  # @return [ResultListStockReceipt]
  describe 'get_organizational_unit_stock_receipts test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_organizational_units
  # lists all organizational units
  # 
  # @param korona_account_id the account id
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page number of the page to fetch
  # @option opts [Integer] :size amount of objects to return per page
  # @option opts [String] :sort attribute to sort by (multiple separated by comma; max. 5)
  # @option opts [Integer] :revision last revision number, objects with a greater revision than this will be returned
  # @option opts [BOOLEAN] :include_deleted indicates deleted objects should be loaded or not (default: false)
  # @return [ResultListOrganizationalUnit]
  describe 'get_organizational_units test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_organizational_unit_day_rating
  # updates the day rating by its id or date
  # 
  # @param korona_account_id the account id
  # @param organizational_unit_id_or_number id or number of the related object (important: if a number should match the uuid-format, the system will lookup for an id instead of a number)
  # @param day_rating_id_or_date the id or date (YYYY-MM-DD) of the day rating
  # @param body the properties to update of the day rating
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'update_organizational_unit_day_rating test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_organizational_unit_day_ratings
  # updated a batch of new day ratings
  # 
  # @param korona_account_id the account id
  # @param organizational_unit_id_or_number id or number of the related object (important: if a number should match the uuid-format, the system will lookup for an id instead of a number)
  # @param body a array of new day ratings
  # @param [Hash] opts the optional parameters
  # @return [Array<AddOrUpdateResult>]
  describe 'update_organizational_unit_day_ratings test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
