=begin
#KORONA.cloud API v3

#Our api provides access to our cloud services

OpenAPI spec version: 3
Contact: support@combase.net
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for KoronaClient::PointsOfSaleApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'PointsOfSaleApi' do
  before do
    # run before each test
    @instance = KoronaClient::PointsOfSaleApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of PointsOfSaleApi' do
    it 'should create an instance of PointsOfSaleApi' do
      expect(@instance).to be_instance_of(KoronaClient::PointsOfSaleApi)
    end
  end

  # unit tests for add_point_of_sale_end_of_day_statements
  # adds a batch of point of sale-related end-of-day-statements
  # 
  # @param korona_account_id the account id
  # @param point_of_sale_id_or_number id or number of the related object (important: if a number should match the uuid-format, the system will lookup for an id instead of a number)
  # @param coupling_id the coupling-id of the device
  # @param [Hash] opts the optional parameters
  # @option opts [Array<EndOfDayStatement>] :body the end-of-day-statements to add
  # @return [Array<AddOrUpdateResult>]
  describe 'add_point_of_sale_end_of_day_statements test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for add_point_of_sale_receipts
  # adds a batch of point of sale-related receipts
  # 
  # @param korona_account_id the account id
  # @param point_of_sale_id_or_number id or number of the related object (important: if a number should match the uuid-format, the system will lookup for an id instead of a number)
  # @param coupling_id the coupling-id of the device
  # @param [Hash] opts the optional parameters
  # @option opts [Array<Receipt>] :body the receipts to add
  # @return [Array<AddOrUpdateResult>]
  describe 'add_point_of_sale_receipts test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_point_of_sale
  # lists the point of sale
  # 
  # @param korona_account_id the account id
  # @param point_of_sale_id_or_number the number of the point of sale
  # @param [Hash] opts the optional parameters
  # @option opts [String] :coupling_id the coupling-id of the device. It can be set to check whether your coupling-id is correct or not (works only, if point of sale is external).
  # @return [Pos]
  describe 'get_point_of_sale test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_point_of_sale_end_of_day_statements
  # lists all point of sale-related end-of-day-statements
  # 
  # @param korona_account_id the account id
  # @param point_of_sale_id_or_number id or number of the related object (important: if a number should match the uuid-format, the system will lookup for an id instead of a number)
  # @param coupling_id the coupling-id of the device
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page number of the page to fetch
  # @option opts [Integer] :size amount of objects to return per page
  # @option opts [String] :sort attribute to sort by (multiple separated by comma; max. 5)
  # @option opts [Integer] :revision last revision number, objects with a greater revision than this will be returned
  # @return [ResultListEndOfDayStatement]
  describe 'get_point_of_sale_end_of_day_statements test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_point_of_sale_receipt
  # lists a single point of sale-related receipt
  # 
  # @param korona_account_id the account id
  # @param point_of_sale_id_or_number id or number of the related object (important: if a number should match the uuid-format, the system will lookup for an id instead of a number)
  # @param receipt_id the id of the receipt
  # @param [Hash] opts the optional parameters
  # @option opts [String] :coupling_id the coupling-id of the device. It can be set to check whether your coupling-id is correct or not (works only, if point of sale is external).
  # @return [Receipt]
  describe 'get_point_of_sale_receipt test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_point_of_sale_receipts
  # lists all point of sale-related receipts
  # 
  # @param korona_account_id the account id
  # @param point_of_sale_id_or_number id or number of the related object (important: if a number should match the uuid-format, the system will lookup for an id instead of a number)
  # @param [Hash] opts the optional parameters
  # @option opts [String] :coupling_id the coupling-id of the device. It can be set to check whether your coupling-id is correct or not (works only, if point of sale is external).
  # @option opts [Integer] :page number of the page to fetch
  # @option opts [Integer] :size amount of objects to return per page
  # @option opts [String] :sort attribute to sort by (multiple separated by comma; max. 5)
  # @option opts [Integer] :revision last revision number, objects with a greater revision than this will be returned
  # @option opts [Integer] :z_count z-count of the receipt
  # @option opts [DateTime] :min_create_time min (inclusive) create time of the receipt (ISO 8601; date, time and timezone)
  # @option opts [DateTime] :max_create_time max (inclusive) create time of the receipt (ISO 8601; date, time and timezone)
  # @return [ResultListReceipt]
  describe 'get_point_of_sale_receipts test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_points_of_sale
  # lists all point of sales
  # 
  # @param korona_account_id the account id
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page number of the page to fetch
  # @option opts [Integer] :size amount of objects to return per page
  # @option opts [String] :sort attribute to sort by (multiple separated by comma; max. 5)
  # @option opts [Integer] :revision last revision number, objects with a greater revision than this will be returned
  # @option opts [BOOLEAN] :include_deleted indicates deleted objects should be loaded or not (default: false)
  # @return [ResultListPos]
  describe 'get_points_of_sale test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_point_of_sale
  # updates a point of sale (works only for coupling (attribute &#39;couplingId&#39;) or updating device information (attribute &#39;deviceInformation&#39;))
  # 
  # @param korona_account_id the account id
  # @param point_of_sale_id_or_number id or number of the related object (important: if a number should match the uuid-format, the system will lookup for an id instead of a number)
  # @param body the properties to update of the point of sale (&#39;couplingId&#39; only)
  # @param [Hash] opts the optional parameters
  # @option opts [String] :coupling_id the coupling-id of the device (required if already coupled)
  # @option opts [BOOLEAN] :decouple executes uncoupling, if set to true, device will be uncoupled if point of sale is already coupled
  # @return [nil]
  describe 'update_point_of_sale test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
